/*

Copyright _ 2005, Apple Computer, Inc.  All rights reserved.
NOTE:  Use of this source code is subject to the terms of the Software
License Agreement for Mac OS X, which accompanies the code.  Your use
of this source code signifies your agreement to such license terms and
conditions.  Except as expressly granted in the Software License Agreement
for Mac OS X, no other copyright, patent, or other intellectual property
license or right is granted, either expressly or by implication, by Apple.

*/

/*  JavaScript
 *  The implementation of your widget lies here and is referred to in the HTML
 *  file. The widget object is provided by Dashboard for Dashboard-specific 
 *  interaction, like working with preferences and certain event handlers. See
 *  the Dashboard documentation for more on these.
 */


/******************/
// Drag and drop code
// This code handles the various drag and drop events
/******************/

// The event handler for the image drop.  This handles fetching the image URL and trying
// to place it inside of the widget.

function dragdrop (event)
{
    var uri = null;
    try {
        uri = event.dataTransfer.getData("text/uri-list");	// attempt to load the URL
    } catch (ex)
    {
    }

    // if the acquisition is successful:
    if (uri)
    {
        document.getElementById("inputText").value = uri;
        makeShort();
    }

    event.stopPropagation();
    event.preventDefault();

}

// The dragenter, dragover, and dragleave functions are implemented but not used.  They
// can be used if you want to change the image when it enters the widget.

function dragenter (event)
{
	event.stopPropagation();
	event.preventDefault();

}

function dragover (event)
{
	event.stopPropagation();
	event.preventDefault();
}

function dragleave (event)
{
	event.stopPropagation();
	event.preventDefault();
}


// The showPrefs function is called when the preferences button is clicked.  It prepares
// the widget to show the preferences, and then flips them.  More on this can be found in
// the Dashboard documentation.

